package cn.com.qmth.examcloud.tool.service.batch_import_exam_student.vo;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.ArrayList;
import java.util.List;

public class ExamStudentInfoListener extends AnalysisEventListener<ExamStudentInfo> {

    private List<ExamStudentInfo> list = new ArrayList<>();

    @Override
    public void invoke(ExamStudentInfo data, AnalysisContext analysisContext) {
        list.add(data);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        // ignore
    }

    public List<ExamStudentInfo> getList() {
        return list;
    }

}
